using System;
using Server.Items;
using Server.Network;

namespace Server.Items 
{ 
//    [FlipableAttribute( 7793, 7802 )] 
   public class PlayingCards : Item
   { 
	  
	  [Constructable]
		public PlayingCards() : base( 4002 )
		{
			Weight = 1.0;
			Movable = true;
		}
		
		public override void GetProperties( ObjectPropertyList list )
		{
			base.GetProperties( list );
         Server.Engines.XmlSpawner2.XmlAttach.AddAttachmentProperties(this, list);
		}

      public PlayingCards( Serial serial ) : base( serial ) 
      { 
      } 
      public override void Serialize( GenericWriter writer )
      { 
         base.Serialize( writer ); 

         writer.Write( (int) 0 ); // version 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize( reader ); 

         int version = reader.ReadInt(); 
      } 
   } 
   
   public class PlayingCards2 : Item
   { 
	  
	  [Constructable]
		public PlayingCards2() : base( 4003 )
		{
			Weight = 1.0;
			Movable = true;
		}
		
		public override void GetProperties( ObjectPropertyList list )
		{
			base.GetProperties( list );
         Server.Engines.XmlSpawner2.XmlAttach.AddAttachmentProperties(this, list);
		}

      public PlayingCards2( Serial serial ) : base( serial ) 
      { 
      } 
      public override void Serialize( GenericWriter writer )
      { 
         base.Serialize( writer ); 

         writer.Write( (int) 0 ); // version 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize( reader ); 

         int version = reader.ReadInt(); 
      } 
   }
   
   [FlipableAttribute( 3605, 3606 )] 
   public class PlayingCards3 : Item
   { 
	  
	  [Constructable]
		public PlayingCards3() : base( 3605 )
		{
			Weight = 1.0;
			Movable = true;
		}
		
		public override void GetProperties( ObjectPropertyList list )
		{
			base.GetProperties( list );
         Server.Engines.XmlSpawner2.XmlAttach.AddAttachmentProperties(this, list);
		}

      public PlayingCards3( Serial serial ) : base( serial ) 
      { 
      } 
      public override void Serialize( GenericWriter writer )
      { 
         base.Serialize( writer ); 

         writer.Write( (int) 0 ); // version 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize( reader ); 

         int version = reader.ReadInt(); 
      } 
   }
   
   [FlipableAttribute( 3608, 3609 )] 
   public class PlayingCards4 : Item
   { 
	  
	  [Constructable]
		public PlayingCards4() : base( 3608 )
		{
			Weight = 1.0;
			Movable = true;
		}
		
		public override void GetProperties( ObjectPropertyList list )
		{
			base.GetProperties( list );
         Server.Engines.XmlSpawner2.XmlAttach.AddAttachmentProperties(this, list);
		}

      public PlayingCards4( Serial serial ) : base( serial ) 
      { 
      } 
      public override void Serialize( GenericWriter writer )
      { 
         base.Serialize( writer ); 

         writer.Write( (int) 0 ); // version 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize( reader ); 

         int version = reader.ReadInt(); 
      } 
   }
   
   public class PlayingCards5 : Item
   { 
	  
	  [Constructable]
		public PlayingCards5() : base( 3607 )
		{
			Weight = 1.0;
			Movable = true;
		}
		
		public override void GetProperties( ObjectPropertyList list )
		{
			base.GetProperties( list );
         Server.Engines.XmlSpawner2.XmlAttach.AddAttachmentProperties(this, list);
		}

      public PlayingCards5( Serial serial ) : base( serial ) 
      { 
      } 
      public override void Serialize( GenericWriter writer )
      { 
         base.Serialize( writer ); 

         writer.Write( (int) 0 ); // version 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize( reader ); 

         int version = reader.ReadInt(); 
      } 
   }
}